# Uses of Interface
org.eclipse.birt.chart.model.attribute.Size

Packages that use Size
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.computation.withoutaxes
This is a placeholder file for the org.eclipse.birt.chart.computation.withoutaxes package.
org.eclipse.birt.chart.device
Provides interfaces and no-op adapters that define services provided by the device renderer and an associated display server.
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.layout
Contains a layout manager capable of arranging a set of blocks associated with the chart representation.
org.eclipse.birt.chart.model.layout.impl
Contains core class implementations for blocks associated with the chart representation.

## Uses of Size in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation that return Size
Modifier and Type
Method
Description
`Size`
LegendBuilder.`compute(IDisplayServer xs, Chart cm, SeriesDefinition[] seda, RunTimeContext rtc)`
Computes the size of the legend.
`Size`
LegendLayoutHints.`getLegendSize()`
`Size`
LegendBuilder.`getSize()`
Returns the size computed previously.
`final Size`
DataPointHints.`getSize2D()`
Returns the size value of current DataPointHintes(only available in 3d mode).
`Size`
LegendLayoutHints.`getTitleSize()`
Constructors in org.eclipse.birt.chart.computation with parameters of type Size
Modifier
Constructor
Description
``
`LegendLayoutHints(Size legendSize, Size titleSize, Label laTitle, boolean isMinSliceApplied, String minSliceText, LegendItemHints[] liha)`

## Uses of Size in org.eclipse.birt.chart.computation.withoutaxes

Methods in org.eclipse.birt.chart.computation.withoutaxes that return Size
Modifier and Type
Method
Description
`Size`
PlotWithoutAxes.`getCellSize()`

## Uses of Size in org.eclipse.birt.chart.device

Methods in org.eclipse.birt.chart.device that return Size
Modifier and Type
Method
Description
`Size`
DisplayAdapter.`getSize(Object oImage)`
`Size`
IDisplayServer.`getSize(Object oImage)`
Returns the size(width, height) of the device specific image that was previously loaded by the `loadImage(URL)` method

## Uses of Size in org.eclipse.birt.chart.model.attribute

Methods in org.eclipse.birt.chart.model.attribute that return Size
Modifier and Type
Method
Description
`Size`
Size.`copyInstance()`
`Size`
AttributeFactory.`createSize()`
Returns a new object of class 'Size'.
`Size`
Size.`scaleInstance(double dScale)`
Returns a new size instance with scaled members

## Uses of Size in org.eclipse.birt.chart.model.attribute.impl

Classes in org.eclipse.birt.chart.model.attribute.impl that implement Size
Modifier and Type
Class
Description
`class`
`SizeImpl`
An implementation of the model object ' Size'.
Methods in org.eclipse.birt.chart.model.attribute.impl that return Size
Modifier and Type
Method
Description
`Size`
SizeImpl.`copyInstance()`
A convenient method to get an instance copy.
`static final Size`
SizeImpl.`create(double dWidth, double dHeight)`
/** Convenient creation of a Size object and instantiates member variables NOTE: Manually written
`Size`
AttributeFactoryImpl.`createSize()`
`final Size`
SizeImpl.`scaleInstance(double dScale)`

## Uses of Size in org.eclipse.birt.chart.model.layout

Methods in org.eclipse.birt.chart.model.layout that return Size
Modifier and Type
Method
Description
`Size`
Block.`getMinSize()`
Returns the value of the 'Min Size' containment reference.
`Size`
Block.`getPreferredSize(IDisplayServer xs, Chart cm, RunTimeContext rtc)`
Computes and returns the size of the title block based on the text content and its attributes
Methods in org.eclipse.birt.chart.model.layout with parameters of type Size
Modifier and Type
Method
Description
`void`
Block.`setMinSize(Size value)`
Sets the value of the '`Min Size`' containment reference.

## Uses of Size in org.eclipse.birt.chart.model.layout.impl

Methods in org.eclipse.birt.chart.model.layout.impl that return Size
Modifier and Type
Method
Description
`Size`
BlockImpl.`getMinSize()`
`Size`
BlockImpl.`getPreferredSize(IDisplayServer xs, Chart cm, RunTimeContext rtc)`
`final Size`
LabelBlockImpl.`getPreferredSize(IDisplayServer xs, Chart cm, RunTimeContext rtc)`
`final Size`
LegendImpl.`getPreferredSize(IDisplayServer xs, Chart cm, RunTimeContext rtc)`
Methods in org.eclipse.birt.chart.model.layout.impl with parameters of type Size
Modifier and Type
Method
Description
`org.eclipse.emf.common.notify.NotificationChain`
BlockImpl.`basicSetMinSize(Size newMinSize, org.eclipse.emf.common.notify.NotificationChain msgs)`
`void`
BlockImpl.`setMinSize(Size newMinSize)`